import csv

fichier_entree = "res4_Random.csv" # fichier de la forme Mot,Train,Val,Test
fichier_sortie = "res5_Random.csv" # fichier de sortie : pareil mais trié en ordre décroissant de nombre d'occurences dans la colonne Train

donnees = []

# Lire le fichier CSV d'entrée
with open(fichier_entree, mode="r", encoding="utf-8") as f:
    reader = csv.DictReader(f)
    for row in reader:
        mot = row["Mot"]
        train = int(row["Train"])
        val = int(row["Val"])
        test = int(row["Test"])
        donnees.append([mot, train, val, test])

# Trier par ordre décroissant sur la colonne Train
donnees_tries = sorted(donnees, key=lambda x: x[1], reverse=True)

# Écrire dans un nouveau fichier CSV
with open(fichier_sortie, mode="w", newline="", encoding="utf-8") as f_out:
    writer = csv.writer(f_out)
    writer.writerow(["Mot", "Train", "Val", "Test"])
    writer.writerows(donnees_tries)

# Afficher la somme des occurrences Train
somme_train = sum(x[1] for x in donnees_tries)
print(f"Fichier '{fichier_sortie}' généré avec succès.")
print(f"Somme totale des occurrences dans Train : {somme_train}")
